ChangeSet 1.1276.1.18, 2003/08/27 10:48:47-07:00, bellucda@tiscali.it

[PATCH] Audit and minor cleanups in drivers/usb/*


 drivers/usb/media/dabusb.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/media/dabusb.c b/drivers/usb/media/dabusb.c
--- a/drivers/usb/media/dabusb.c	Tue Sep  2 12:45:35 2003
+++ b/drivers/usb/media/dabusb.c	Tue Sep  2 12:45:35 2003
@@ -818,6 +818,7 @@
 
 static int __init dabusb_init (void)
 {
+	int retval;
 	unsigned u;
 
 	/* initialize struct */
@@ -835,14 +836,16 @@
 	}
 
 	/* register misc device */
-	if (usb_register(&dabusb_driver))
-		return -1;
+	retval = usb_register(&dabusb_driver);
+	if (retval)
+		goto out;
 
 	dbg("dabusb_init: driver registered");
 
 	info(DRIVER_VERSION ":" DRIVER_DESC);
 
-	return 0;
+out:
+	return retval;
 }
 
 static void __exit dabusb_cleanup (void)
